Table of Contents

## Name

XvPortNotify - event generated when port attributes change

## Syntax

#include <X11/extensions/Xvlib.h>

typedef union {
int type;
XvVideoNotifyEvent xvvideo;
XvPortNotifyEvent xvport;
long pad[24];
} XvEvent;

typedef struct {
int type;
unsigned long serial;
Bool send_event;
Display *display;
XvPortID port_id;
Time time;
Atom attribute;
long value;
} XvPortNotifyEvent;

Specifies the type of event: XvPortNotify.

Number of the last request processed by the server.

True if the event was generated by a SendEvent request.

A pointer to the display the event was read from.

The port whose attribute has changed.

An atom specifying the attribute that changed.

The new value of the attribute.

## Description

## See Also

XvSetPortAttribute(3X) , XvGetPortAttribute(3X) , XvSelectPortNotify(3X)